OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_BrepWithVoids Class Reference

`#include <StepShape_BrepWithVoids.hxx>`

Inheritance diagram for StepShape_BrepWithVoids:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_BrepWithVoids ()
| Returns a BrepWithVoids .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_ClosedShell)&aOuter)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_ClosedShell)&aOuter, const Handle(StepShape_HArray1OfOrientedClosedShell)&aVoids)
Standard_EXPORT void | SetVoids (const Handle(StepShape_HArray1OfOrientedClosedShell)&aVoids)
Standard_EXPORT Handle_StepShape_HArray1OfOrientedClosedShell | Voids () const
Standard_EXPORT Handle_StepShape_OrientedClosedShell | VoidsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbVoids () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_HArray1OfOrientedClosedShell | voids

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_BrepWithVoids::StepShape_BrepWithVoids | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_BrepWithVoids::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_ManifoldSolidBrep.

virtual Standard_EXPORT void StepShape_BrepWithVoids::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_ClosedShell)& | aOuter,
|  | const Handle(StepShape_HArray1OfOrientedClosedShell)& | aVoids
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_BrepWithVoids::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_ClosedShell)& | aOuter
| ) | `[virtual]`

| Reimplemented from StepShape_ManifoldSolidBrep.

Standard_EXPORT Standard_Integer StepShape_BrepWithVoids::NbVoids | ( |  | ) | const

Standard_EXPORT void StepShape_BrepWithVoids::SetVoids | ( | const Handle(StepShape_HArray1OfOrientedClosedShell)& | aVoids | ) |

Standard_EXPORT Handle_StepShape_HArray1OfOrientedClosedShell StepShape_BrepWithVoids::Voids | ( |  | ) | const

Standard_EXPORT Handle_StepShape_OrientedClosedShell StepShape_BrepWithVoids::VoidsValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepShape_HArray1OfOrientedClosedShell StepShape_BrepWithVoids::voids`[private]`

The documentation for this class was generated from the following file:

- StepShape_BrepWithVoids.hxx